/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.curvefitting;

import org.spectrim.signalprocessing.RandomMinimizerDouble;

/**
 *
 * @author nuno
 */
public class DoubleGaussianFit extends RandomMinimizerDouble{
    private DoubleGaussian curve;
    private double[] x;
    private double[] y;
    
    
    public DoubleGaussianFit(DoubleGaussian curve, double[] y, double[] x){
        this.curve = curve;
        this.x = x;
        this.y = y;
    }
    
    
    @Override
    public double fnc(double[] par) {
        curve.setParameters(par[0], par[1], par[2], par[3], par[4]);
        double res = 0;
        for(int i=0;i<x.length;i++){
            res += Math.pow(curve.getY(x[i])-y[i],2);
        }
        return res;
    }
    
}
