/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package org.spectrim.curvefitting;

/**
 *
 * @author nuno
 */
public class Exponential {
    
    private double x0;
    private double w;
    private double A;

    public Exponential(double x0, double w, double A) {
        this.x0 = x0;
        this.w = w;
        this.A = A;
    }
    
    public void setParameters(double x0, double w, double A) {
        this.x0 = x0;
        this.w = w;
        this.A = A;
    }
    
    public float getY(double x) {        
        return (float) (A*Math.exp(-(x-x0)/w));
    }

    public float[] getY(double x[]) {
        float res[] = new float[x.length];
        for (int i = 0; i < x.length; i++) {
            res[i] = getY(x[i]);
        }
        return res;
    }
    
}
