/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.curvefitting;

/**
 *
 * @author nunopbarros
 */
public class Lorentzian {

    private double x0;
    private double y0;
    private double w;
    private double A;

    public Lorentzian(double x0, double y0, double w, double A) {
        this.x0 = x0;
        this.y0 = y0;
        this.w = w;
        this.A = A;
    }
    
    public void setParameters(double x0, double y0, double w, double A) {
        this.x0 = x0;
        this.y0 = y0;
        this.w = w;
        this.A = A;
    }
    
    public float getY(double x) {
        return (float) (y0 + 2 * A * w / (Math.PI * (4 * Math.pow(x - x0, 2) + Math.pow(w, 2))));
    }

    public float[] getY(double x[]) {
        float res[] = new float[x.length];
        for (int i = 0; i < x.length; i++) {
            res[i] = getY(x[i]);
        }
        return res;
    }
    
}
