/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.spectrim.dicom;

/**
 * This is the class that defines the "atomic" DICOM tag:
 *
 * - Tag name
 * - Tag ID
 * - Tag encoding
 * - Tag length
 * - Tag value
 *
 * @author slotboom
 */
public class DicomTagAndValue
{
    /**
     * Default constructor
     */
    public DicomTagAndValue( )
    {

    }

    /**
     * Constructs a DicomTagAndValue object which contains
     * String information
     *
     * @param tagDescription
     * @param tagID
     * @param encodingOfTagID
     * @param tagStringValue
     */
    public DicomTagAndValue( String tagDescription,
                             int    tagID,
                             int    tagEncodingID,
                             String tagStringValue )
    {
        m_tagDescription    = tagDescription;
        m_tagID             = tagID;
        m_tagEncodingID     = tagEncodingID;
        m_tagValueAsString  = tagStringValue;
    }

    /**
     * Returns the tag description
     * @param description
     */
    public String getTagDescription( )
    {
        return m_tagDescription;
    }

    /**
     * Sets the tag description
     * @param tagDescription
     */
    public void setTagDescription( String tagDescription )
    {
        m_tagDescription  = tagDescription;
    }

    /**
     * Returns the tag description
     */
    public int getTagID( )
    {
        return m_tagID;
    }

    /**
     * Sets the tag description
     * @param id
     */
    public void setTagID( int id )
    {
        m_tagID = id;
    }

    /**
     * Returns the tag description
     */
    public int getTagEcodingID( )
    {
        return m_tagEncodingID;
    }

    /**
     * Sets the tag description
     * @param description
     */
    public void setTagEncodingID( int tagEncodingID )
    {
        m_tagEncodingID = tagEncodingID;
    }


    /**
     * Returns the tag description
     */
    public String getTagValueAsString( )
    {
        return m_tagValueAsString;
    }

    /**
     * Sets the tag description
     * @param description
     */
    public void setTagValueAsString( String tagValueAsString )
    {
        m_tagValueAsString = tagValueAsString;
    }

    // Private attributes
    private String m_tagDescription;
    private int m_tagID;
    private int m_tagEncodingID;
    private String m_tagValueAsString;

}
