/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

/*
 * DicomTagsManipulationFrame.java
 *
 * Created on 20-May-2010, 16:48:55
 */

package org.spectrim.dicom;

import java.awt.Point;
import java.util.LinkedHashMap;
import javax.swing.JFrame;

/**
 * Allows the user to view and edit DICOM tags
 * @author slotboom
 */
public class DicomTagsManipulationFrame extends javax.swing.JFrame
{

    /** 
     * Creates new form DicomTagsManipulationFrame.
     */
    public DicomTagsManipulationFrame( JFrame parent, 
                                       LinkedHashMap<String, DicomTagAndValue> patientRelatedDicomTagsAndValues,
                                       LinkedHashMap<String, DicomTagAndValue> mrRelatedDicomTagsAndValues,
                                       LinkedHashMap<String, DicomTagAndValue> studySeriesInstanceTagsAndValues,
                                       LinkedHashMap<String, DicomTagAndValue> otherDicomTagsAndValues,
                                       LinkedHashMap<String, DicomTagAndValue> geomtryRelatedDicomTagsAndValues )
    {

        initComponents( );

        m_dicomTagsManipulationControl.setPatientRelatedDicomTags( patientRelatedDicomTagsAndValues );
        m_dicomTagsManipulationControl.setMRRelatedDicomTags( mrRelatedDicomTagsAndValues );
        m_dicomTagsManipulationControl.setStudySeriesInstanceRelatedDicomTags( studySeriesInstanceTagsAndValues );
        m_dicomTagsManipulationControl.setOtherDicomTags( otherDicomTagsAndValues );
        m_dicomTagsManipulationControl.setGeometryRelatedDicomTags( geomtryRelatedDicomTagsAndValues );

        pack( );

        // Put the Dialog nicely in the middle of its parent
        Point centerParent = new Point( parent.getX( ) + ( parent.getWidth( ) - getWidth( ) ) / 2,
                                        parent.getY( ) + ( parent.getHeight( ) - getHeight( ) ) / 2 );

        setLocation( centerParent );

        setVisible( true );
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings( "unchecked" )
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        m_dicomTagsManipulationControl = new org.spectrim.dicom.DicomTagsManipulationControl();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(m_dicomTagsManipulationControl, javax.swing.GroupLayout.DEFAULT_SIZE, 905, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addGap(42, 42, 42)
                .addComponent(m_dicomTagsManipulationControl, javax.swing.GroupLayout.DEFAULT_SIZE, 646, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private org.spectrim.dicom.DicomTagsManipulationControl m_dicomTagsManipulationControl;
    // End of variables declaration//GEN-END:variables

}
