/*
 * File: $Id: Strings.java,v 1.1.1.1 2006/04/19 09:38:48 hans Exp $
 * History
 * Date: 04.02.2003  Authors: Martin Buerki & Hans Slotboom  Changes:
 *
 * Copyright (C) 2003 by
 * 
 * Inselspital - Department of Neuroradiology
 * CH 3010 Bern Switzerland
 */

package org.spectrim.lib;

/**
 * Helper class for string manipulations
 * (obsolete)
 */

public final class Strings 
{
    
    public static int stringCompare( String s1, String s2 ) 
    {
	if ( s1.equals(s2) ) return 0;
	char[] a = s1.toCharArray( );
	char[] b = s2.toCharArray( );
	boolean r = ( s1.length() > s2.length( ) );
	int n = ( r ? s2.length() : s1.length( ) );
	for ( int k = 0; k < n; k++ ) 
        {
	    if ( a[k] > b[k] ) return 1;
	    else if ( a[k] < b[k] ) return -1;
	}
	return ( r ? -1 : 1 );
    }

    public static int stringCompare( char[] s1, String s2 ) 
    {
	if ( s2.equals( new String(s1) ) ) return 0;
	char[] b = s2.toCharArray( );
	boolean r = ( s1.length > s2.length( ) );
	int n = ( r ? s2.length( ) : s1.length );
	for ( int k = 0; k < n; k++ ) 
        {
	    if ( s1[k] > b[k] ) return 1;
	    else if ( s1[k] < b[k] ) return -1;
	}
	return ( r ? -1 : 1 );
    }
}