package org.spectrim.main;

import java.io.File;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.TreeMap;
import javax.swing.JFrame;
import org.spectrim.colormap.ColorMap;
import org.spectrim.model.GlobalModel;
import org.spectrim.popups.jMRUIResultsMapListener;

public class MruiViewerInterface implements jMRUIResultsMapListener {

    private GlobalModel csimodel;

    public MruiViewerInterface() {
    }

    public void setGlobalModel(GlobalModel csimodel) {
        this.csimodel = csimodel;
    }

    ////////////////////////////////////////////////////
    public void exportSpectra() {
    }

    /**
     * Creates a ML file from several mrui files at a temporary location
     * @param mls
     * @param spins
     * @param names
     * @return 
     */
    public File createMlFile(ArrayList<String> mls, ArrayList<Integer> spins, ArrayList<String> names) {
        return null;
    }

    /**
     * Creates a ML file from several mrui files at location output
     * @param mls
     * @param spins
     * @param names
     * @param output
     * @return 
     */
    public File createMlFile(ArrayList<String> mls, ArrayList<Integer> spins, ArrayList<String> names, String output) {
        return null;
    }

    public void exportSelectedSpectra() {
    }

    public void removeWater(double lowerBound, double upperBound, int peaks) {
    }

    public void importSpectra() {
    }

     public void mapjMRUIResults(JFrame mainWindow) {
    }

    public void importjMRUIData(JFrame mainWindow) {
    }

    public void importTDFDFitData(JFrame mainWindow) {
    }
    
    public void phaseFromFitting() {
    }

    public void importFittedSpectra() {
    }

    public void setFittedSpectra() {
    }

    @Override
    public void printJMRUIResults() {
    }

    public void writeJMRUIResults(File file) {
    }

    @Override
    public String[] getMetabolitesNames() {
        return new String[]{"met1", "met2"};
    }

// Jana
    @Override
    public String getISPOutputFileName() {
        return null;
    }

    /*public double[] getJMRUIResults() {
     return new double[]{0.0,1.0,2.0,3.0,4.0,5.0,6.0};
     }
        
     public String[] getJMRUIResultsStr() {
     return new String[]{"Choline","Creatine","NAA","ML1.3","ML0.9","Lactate","Myo-Inositol"};
     }*/
    /**
     * Displays the global fitting error
     */
    public void setGlobalErrorColorMap(boolean showJustSelected) {
    }

    /**
     * Displays the noise map.
     */
    public void setNoiseColorMap(boolean showJustSelected) {
    }

    public double getResultValue(int feature, int metab, int i) {
        return 0.0;
    }

    public void quantifySpectra(String modlFile, String opFile, JFrame mainWindow) {
    }

    @Override
    public void printJMRUIResultsSelectedVoxels() {
    }

    @Override
    public LinkedHashMap<String, Double> getMetabolitesPerSelection(ArrayList<String> voxels, boolean... var) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    /**
     * Returns the voxels which have a global error bigger than globalThreshold
     * and an individual metabolite error bigger than metabThresh.
     *
     * @param metabs
     * @param globalThreshold
     * @param metabThresh
     * @return
     */
    public ArrayList<String> getBadlyFittedVoxels(ArrayList<String> metabs, double globalThreshold, double metabThresh) {
        return new ArrayList<>();
    }

    public void removeVoxels(ArrayList<String> voxels) {

    }

    public void removeVoxel(String voxel) {

    }

    public void clearData() {

    }

    public void baselineCorrection(int nr) {
    }

    /**
     * Creates a colormap of the given feature/metabolite.
     * @param metab
     * @param feature
     * @param showJustSelected
     */
    public void setColorMapfromjMRUIResults(String metab, int feature, boolean showJustSelected) {
    }

    @Override
    public void setColorMapfromjMRUIResults(int metab, int feature, boolean showJustSelected, String name) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void setColorMapfromjMRUIResultsRatio(int metab1, int feature1, int metab2, int feature2, boolean showJustSelected, String name) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void setColorMapfromjMRUIResultsFormula(ArrayList<Integer> metab1, ArrayList<Integer> metab2, int feature, boolean showJustSelected) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public void setColorMapfromjMRUIResultsTriChannel(int[] metab1, int[] feature1, int[] metab2, int[] feature2, int[] metab3, int[] feature3, boolean showJustSelected) {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public ColorMap getColorMap() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    public TreeMap<String, HashMap<String, ArrayList<Double>>> getQuantificationResults() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public GlobalModel getModel() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    @Override
    public String[] getFeatureNames() {
        throw new UnsupportedOperationException("Not supported yet."); //To change body of generated methods, choose Tools | Templates.
    }

    public void saveResultsToJmrui() {
    }
}
