/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.patientbrowser;

import org.spectrim.imagegraphicobjects.Point3D;

/**
 *
 * @author Giezi
 */
public class OrientationIdentifier {
    
    public static final int ND  = 0;
    public static final int TRA = 1;
    public static final int SAG = 2;
    public static final int COR = 3;

    public static int getOrientation(String vects)
    {
        try{
            Point3D o = Point3D.crossProduct(
                new Point3D(Double.parseDouble(vects.split("\\\\")[0]),Double.parseDouble(vects.split("\\\\")[1]),Double.parseDouble(vects.split("\\\\")[2])),
                new Point3D(Double.parseDouble(vects.split("\\\\")[3]),Double.parseDouble(vects.split("\\\\")[4]),Double.parseDouble(vects.split("\\\\")[5]))
            );
            if(o.m_x1 > o.m_x2 && o.m_x1 > o.m_x3)
                return TRA;
            else if(o.m_x2 > o.m_x1 && o.m_x2 > o.m_x3)
                return SAG;
            else if(o.m_x3 > o.m_x2 && o.m_x3 > o.m_x1)
                return COR;
            else
                return ND;
        }catch(Exception e){
            return ND;
        }
    }
    
    
}
