/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.view;

import java.awt.Container;
import java.awt.Dimension;
import java.awt.LayoutManager;
import javax.swing.JPanel;

/**
 *
 * @author user
 */
public class JFractionPanel extends JPanel {

    private double wHeight = 1;
    private double wWidth = 1;

    public JFractionPanel(LayoutManager lm, boolean bln) {
        super(lm, bln);
    }

    public JFractionPanel(LayoutManager lm) {
        super(lm);
    }

    public JFractionPanel(boolean bln) {
        super(bln);
    }

    public JFractionPanel() {
        super();

    }

    public JFractionPanel(int weightWidth, int weightHeight) {
        super();
        if (weightWidth < weightHeight) {
            this.wHeight = (double) weightHeight / (double) weightWidth;
            this.wWidth = 1d;
        } else {
            this.wWidth = (double) weightWidth / (double) weightHeight;
            this.wHeight = 1d;
        }
    }

    @Override
    public Dimension getPreferredSize() {
        Dimension d = super.getPreferredSize();
        Container c = getParent();

        if (c != null) {
            d = c.getSize();
        } else {
            return d;
        }
        int h = (int) d.getHeight();
        int w = (int) d.getWidth();
        if (h > ((double) w * wHeight / wWidth)) {
            h = (int) Math.round(w * wHeight / wWidth);
        } else {
            w = (int) Math.round(h * wWidth / wHeight);
        }

        return new Dimension(w, h);
    }

    @Override
    public Dimension getMinimumSize() {
//        Dimension d = super.getPreferredSize();
        Dimension d = super.getMinimumSize();
        Container c = getParent();

        if (c != null) {
            d = c.getSize();
        } else {
            return d;
        }

        int h = (int) d.getHeight();
        int w = (int) d.getWidth();
        if (h > ((double) w * wHeight / wWidth)) {
            h = (int) Math.round(w * wHeight / wWidth);
        } else {
            w = (int) Math.round(h * wWidth / wHeight);
        }

        return new Dimension(w, h);
    }

}
