/*
 * DicomSliceSelectionManager.java
 *
 * Created on May 9, 2006, 4:30 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package org.spectrim.dicom;

import java.awt.event.*;
import java.util.*;


/**
 *
 * @author hans
 */

/**
 *  Singleton class for registering which instantiated DicomSliceCanvas is 
 *  currently selected.
 *
 *  @author  slotboom
 */

public class DicomSliceSelectionManager 
{
    /**
     * Returns the one and onnly instance of PolygonClipboard
     */
    public static DicomSliceSelectionManager getInstance( )
    {
        return theInstance;
    }
    
    /** 
     * Creates a new instance of PolygonClipboard 
     */
    protected DicomSliceSelectionManager( ) 
    {
        // initializing instance fields
    }
    
    /**
     * Returns the clipboard polygon
     */
    public DicomSliceCanvas getSelectedDicomSliceCanvas( )
    {
        return m_selectedCanvas;
    }

    /**
     * Sets the clipboard polygon
     */
    public void setSelectedDicomSliceCanvas( DicomSliceCanvas canvas )
    {
        m_selectedCanvas = canvas;
    }

    // static private attribute is the instance itself
    private static DicomSliceSelectionManager theInstance = new DicomSliceSelectionManager( );
    
    // Members to add one polygon to the clipboard
    private DicomSliceCanvas m_selectedCanvas;
    
}
