c
c=======================================================================
c
c this file contains related subroutines required for the hlsvd approach
c
c modifications by a. van den boogaart
c copyright university of technology delft
c hlsvd version 92.1 (last update 01-04-1992)
c hlsvd version 95.1 (last update 07-06-1995)
c hlsvd version 96.1 (last update 25-02-1996)
c 26-08-1999 write iteration number suppressed: lines 602,603,701,952
c=======================================================================
c
      subroutine fftwp(a,b,ntot,n,nspan,isn)
c
c-----------------------------------------------------------------------
c modifications by a. van den boogaart
c last update: 11-01-1991
c-----------------------------------------------------------------------
c
      integer*4   ntot,n,nspan,isn
      real*8      a(*),b(*)

      integer*4   num
      parameter   ( num=512 )
      integer*4   i,ii,iii,iiii,ierk,inc,j,jc,jf,jj,k,k1,k2,k3,k4,
     +            kk,kkk,ks,kspan,kspnn,kt,m,maxf,maxp,nn,nprod,nt
      integer*4   nfac(13),nfacdu(13),np(num)
      real*8      aa,aj,ajm,ajp,ak,akm,akp,bb,bj,bjm,bjp,bk,bkm,bkp,
     +            c1,c2,c3,c72,cd,rad,radf,s1,s2,s3,s72,s120,sd
      real*8      at(23),bt(23),ck(23),sk(23)

c     common      /nfact/nfacdu
      equivalence (i,ii)

c num was 209

      maxf=23
      maxp=512
      if(n .lt. 2) goto 660
      inc=isn
      c72=0.30901699437494742d0
      s72=0.95105651629515357d0
      s120=0.86602540378443865d0
      rad=6.283185307179586d0
      if( isn .ge. 0 ) goto 10
      s72=-s72
      s120=-s120
      rad=-rad
      inc=-inc
   10 nt=inc*ntot
      ks=inc*nspan
      kspan=ks
      nn=nt-inc
      jc=ks/n
      radf=rad*dble(jc)*0.5d0
      i=0
      jf=0
      do 20 ierk=1,13
   20 nfac(ierk)=0
      m=0
      k=n
      goto 40
   30 m=m+1
      nfac(m)=4
      k=k/16
   40 if(k-(k/16)*16 .eq. 0) goto 30
      j=3
      jj=9
      goto 60
   50 m=m+1
      nfac(m)=j
      k=k/jj
   60 if(mod(k,jj) .eq. 0) goto 50 
      j=j+2
      jj=j**2
      if (jj .le. k) goto 60
      if( k .gt. 4) goto 70
      kt=m
      nfac(m+1)=k
      if(k .ne. 1) m=m+1
      goto 110
   70 if(k-(k/4)*4 .ne. 0) goto 80
      m=m+1
      nfac(m)=2
      k=k/4
   80 kt=m
      j=2
   90 if( mod(k,j) .ne. 0) goto 100
      m=m+1
      nfac(m)=j
      k=k/j
  100 j=((j+1)/2)*2+1
      if( j .le. k ) goto 90
  110 if( kt .eq. 0 ) goto 130
      j=kt
  120 m=m+1
      nfac(m)=nfac(j)
      j=j-1
      if(j .ne. 0) goto 120
  130 continue
      do 140 iii=1,13
         if (nfac(iii) .gt. maxf) goto 660
  140 continue
      nprod=nfac(1)
      do 160 iii=2,13
         if (nfac(iii) .lt. 1) goto 170
         iiii=iii-1
         do 150 kkk=1,iiii
            if (nfac(iii) .eq. nfac(kkk)) goto 160
  150    continue
         nprod=nprod*nfac(iii)
  160 continue
  170 nprod=nprod-1
      if (nprod .gt. maxp) goto 660
      do 180 iii=1,13
         nfacdu(iii)=nfac(iii)
  180 continue
  190 sd=radf/dble(kspan)
      cd=2.0d0*dsin(sd)**2
      sd=dsin(sd+sd)
      kk=1
      i=i+1
      if(nfac(i) .ne. 2) goto 240
      kspan=kspan/2
      k1=kspan+2
  200 k2=kk+kspan
      ak=a(k2)
      bk=b(k2)
      a(k2)=a(kk)-ak
      b(k2)=b(kk)-bk
      a(kk)=a(kk)+ak
      b(kk)=b(kk)+bk
      kk=k2+kspan
      if(kk .le. nn) goto 200
      kk=kk-nn
      if(kk .le. jc) goto 200
      if(kk .gt. kspan) goto 430
  210 c1=1.0d0-cd
      s1=sd
  220 k2=kk+kspan
      ak=a(kk)-a(k2)
      bk=b(kk)-b(k2)
      a(kk)=a(kk)+a(k2)
      b(kk)=b(kk)+b(k2)
      a(k2)=c1*ak-s1*bk
      b(k2)=s1*ak+c1*bk
      kk=k2+kspan
      if( kk .lt. nt) goto 220
      k2=kk-nt
      c1=-c1
      kk=k1-k2
      if(kk .gt. k2) goto 220
      ak=cd*c1+sd*s1
      s1=(sd*c1-cd*s1)+s1
      c1=c1-ak
      kk=kk+jc
      if(kk .lt. k2) goto 220
      k1=k1+inc+inc
      kk=(k1-kspan)/2+jc
      if (kk .le. jc+jc) goto 210
      goto 190
  230 k1=kk+kspan
      k2=k1+kspan
      ak=a(kk)
      bk=b(kk)
      aj=a(k1)+a(k2)
      bj=b(k1)+b(k2)
      a(kk)=ak+aj
      b(kk)=bk+bj
      ak=-0.5d0*aj+ak
      bk=-0.5d0*bj+bk
      aj=(a(k1)-a(k2))*s120
      bj=(b(k1)-b(k2))*s120
      a(k1)=ak-bj
      b(k1)=bk+aj
      a(k2)=ak+bj
      b(k2)=bk-aj
      kk=k2+kspan
      if( kk .lt. nn) goto 230
      kk=kk-nn
      if (kk .le. kspan) goto 230
      goto 390
  240 if( nfac(i) .ne. 4) goto 330
      kspnn=kspan
      kspan=kspan/4
  250 c1=1.0d0
      s1=0.0d0
  260 k1=kk+kspan
      k2=k1+kspan
      k3=k2+kspan
      akp=a(kk)+a(k2)
      akm=a(kk)-a(k2)
      ajp=a(k1)+a(k3)
      ajm=a(k1)-a(k3)
      a(kk)=akp+ajp
      ajp=akp-ajp
      bkp=b(kk)+b(k2)
      bkm=b(kk)-b(k2)
      bjp=b(k1)+b(k3)
      bjm=b(k1)-b(k3)
      b(kk)=bkp+bjp
      bjp=bkp-bjp
      if(isn .lt. 0) goto 290
      akp=akm-bjm
      akm=akm+bjm
      bkp=bkm+ajm
      bkm=bkm-ajm
      if(s1 .eq. 0) goto 300
  270 a(k1)=akp*c1-bkp*s1
      b(k1)=akp*s1+bkp*c1
      a(k2)=ajp*c2-bjp*s2
      b(k2)=ajp*s2+bjp*c2
      a(k3)=akm*c3-bkm*s3
      b(k3)=akm*s3+bkm*c3
      kk=k3+kspan
      if(kk .le. nt) goto 260
  280 c2=cd*c1+sd*s1
      s1=(sd*c1-cd*s1)+s1
      c1=c1-c2
      c2=c1**2-s1**2
      s2=2.0d0*c1*s1
      c3=c2*c1-s2*s1
      s3=c2*s1+s2*c1
      kk=kk-nt+jc
      if(kk .le. kspan) goto 260
      kk=kk-kspan+inc
      if(kk .le. jc) goto 250
      if( kspan .eq. jc) goto 430
      goto 190
  290 akp=akm+bjm
      akm=akm-bjm
      bkp=bkm-ajm
      bkm=bkm+ajm
      if( s1 .ne. 0) goto 270
  300 a(k1)=akp
      b(k1)=bkp
      a(k2)=ajp
      b(k2)=bjp
      a(k3)=akm
      b(k3)=bkm
      kk=k3+kspan
      if(kk .le. nt) goto 260
      goto 280
  310 c2=c72**2-s72**2
      s2=2.0d0*c72*s72
  320 k1=kk+kspan
      k2=k1+kspan
      k3=k2+kspan
      k4=k3+kspan
      akp=a(k1)+a(k4)
      akm=a(k1)-a(k4)
      bkp=b(k1)+b(k4)
      bkm=b(k1)-b(k4)
      ajp=a(k2)+a(k3)
      ajm=a(k2)-a(k3)
      bjp=b(k2)+b(k3)
      bjm=b(k2)-b(k3)
      aa=a(kk)
      bb=b(kk)
      a(kk)=aa+akp+ajp
      b(kk)=bb+bkp+bjp
      ak=akp*c72+ajp*c2+aa
      bk=bkp*c72+bjp*c2+bb
      aj=akm*s72+ajm*s2
      bj=bkm*s72+bjm*s2
      a(k1)=ak-bj
      a(k4)=ak+bj
      b(k1)=bk+aj
      b(k4)=bk-aj
      ak=akp*c2+ajp*c72+aa
      bk=bkp*c2+bjp*c72+bb
      aj=akm*s2-ajm*s72
      bj=bkm*s2-bjm*s72
      a(k2)=ak-bj
      a(k3)=ak+bj
      b(k2)=bk+aj
      b(k3)=bk-aj
      kk=k4+kspan
      if(kk .lt. nn) goto 320
      kk=kk-nn
      if(kk .le. kspan) goto 320
      goto 390
  330 k=nfac(i)
      kspnn=kspan
      kspan=kspan/k
      if (k .eq. 3) goto 230
      if(k .eq. 5) goto 310
      if (k .eq. jf) goto 350
      jf=k
      s1=rad/dble(k)
      c1=dcos(s1)
      s1=dsin(s1)
      if(jf .gt. maxf) goto 660
      ck(jf)=1.0d0
      sk(jf)=0.0d0
      j=1
  340 ck(j)=ck(k)*c1+sk(k)*s1
      sk(j)=ck(k)*s1-sk(k)*c1
      k=k-1
      ck(k)=ck(j)
      sk(k)=-sk(j)
      j=j+1
      if(j .lt. k) goto 340
  350 k1=kk
      k2=kk+kspnn
      aa=a(kk)
      bb=b(kk)
      ak=aa
      bk=bb
      j=1
      k1=k1+kspan
  360 k2=k2-kspan
      j=j+1
      at(j)=a(k1)+a(k2)
      ak=at(j)+ak
      bt(j)=b(k1)+b(k2)
      bk=bt(j)+bk
      j=j+1
      at(j)=a(k1)-a(k2)
      bt(j)=b(k1)-b(k2)
      k1=k1+kspan
      if( k1 .lt. k2) goto 360
      a(kk)=ak
      b(kk)=bk
      k1=kk
      k2=kk+kspnn
      j=1
  370 k1=k1+kspan
      k2=k2-kspan
      jj=j
      ak=aa
      bk=bb
      aj=0.0d0
      bj=0.0d0
      k=1
  380 k=k+1
      ak=at(k)*ck(jj)+ak
      bk=bt(k)*ck(jj)+bk
      k=k+1
      aj=at(k)*sk(jj)+aj
      bj=bt(k)*sk(jj)+bj
      jj=jj+j
      if(jj .gt. jf) jj=jj-jf
      if(k .lt. jf) goto 380
      k=jf-j
      a(k1)=ak-bj
      b(k1)=bk+aj
      a(k2)=ak+bj
      b(k2)=bk-aj
      j=j+1
      if(j .lt. k) goto 370
      kk=kk+kspnn
      if(kk .le. nn) goto 350
      kk=kk-nn
      if(kk .le. kspan) goto 350
  390 if(i .eq. m) goto 430
      kk=jc+1
  400 c2=1.0d0-cd
      s1=sd
  410 c1=c2
      s2=s1
      kk=kk+kspan
  420 ak=a(kk)
      a(kk)=c2*ak-s2*b(kk)
      b(kk)=s2*ak+c2*b(kk)
      kk=kk+kspnn
      if(kk .le. nt) goto 420
      ak=s1*s2
      s2=s1*c2+c1*s2
      c2=c1*c2-ak
      kk=kk-nt+kspan
      if(kk .le. kspnn) goto 420
      c2=c1-(cd*c1+sd*s1)
      s1=s1+(sd*c1-cd*s1)
      kk=kk-kspnn+jc
      if(kk .le. kspan) goto 410
      kk=kk-kspan+jc+inc
      if(kk .le. jc+jc) goto 400
      goto 190
  430 np(1)=ks
      if(kt .eq. 0) goto 520
      k=kt+kt+1
      if(m .lt. k) k=k-1
      j=1
      np(k+1)=jc
  440 np(j+1)=np(j)/nfac(j)
      np(k)=np(k+1)*nfac(j)
      j=j+1
      k=k-1
      if(j .lt. k) goto 440
      k3=np(k+1)
      kspan=np(2)
      kk=jc+1
      k2=kspan+1
      j=1
      if(n .ne. ntot) goto 480
  450 ak=a(kk)
      a(kk)=a(k2)
      a(k2)=ak
      bk=b(kk)
      b(kk)=b(k2)
      b(k2)=bk
      kk=kk+inc
      k2=kspan+k2
      if(k2 .lt. ks) goto 450
  460 k2=k2-np(j)
      j=j+1
      k2=np(j+1)+k2
      if(k2 .gt. np(j)) goto 460
      j=1
  470 if(kk .lt. k2) goto 450
      kk=kk+inc
      k2=kspan+k2
      if(k2 .lt. ks) goto 470
      if(kk .lt. ks) goto 460
      jc=k3
      goto 520
  480 k=kk+jc
  490 ak=a(kk)
      a(kk)=a(k2)
      a(k2)=ak
      bk=b(kk)
      b(kk)=b(k2)
      b(k2)=bk
      kk=kk+inc
      k2=k2+inc
      if(kk .lt. k) goto 490
      kk=kk+ks-jc
      k2=k2+ks-jc
      if(kk .lt. nt) goto 480
      k2=k2-nt+kspan
      kk=kk-nt+jc
      if(k2 .lt. ks) goto 480
  500 k2=k2-np(j)
      j=j+1
      k2=np(j+1)+k2
      if(k2 .gt. np(j)) goto 500
      j=1
  510 if(kk .lt. k2) goto 490
      kk=kk+jc
      k2=kspan+k2
      if(k2 .lt. ks) goto 510
      if(kk .lt. ks) goto 500
      jc=k3
  520 if(2*kt+1 .ge. m) return
      kspnn=np(kt+1)
      j=m-kt
      nfac(j+1)=1
  530 nfac(j)=nfac(j)*nfac(j+1)
      j=j-1
      if(j .ne. kt) goto 530
      kt=kt+1
      nn=nfac(kt)-1
      if (nn .gt. maxp) goto 660
      jj=0
      j=0
      goto 560
  540 jj=jj-k2
      k2=kk
      k=k+1
      kk=nfac(k)
  550 jj=kk+jj
      if(jj .ge. k2) goto 540
      np(j)=jj
  560 k2=nfac(kt)
      k=kt+1
      kk=nfac(k)
      j=j+1
      if(j .le. nn) goto 550
      j=0
      goto 580
  570 k=kk
      kk=np(k)
      np(k)=-kk
      if(kk .ne. j) goto 570
      k3=kk
  580 j=j+1
      kk=np(j)
      if( kk .lt. 0) goto 580
      if( kk .ne. j) goto 570
      np(j)=-j
      if( j .ne. nn) goto 580
      maxf=inc*maxf
      goto 650
  590 j=j-1
      if(np(j) .lt. 0) goto 590
      jj=jc
  600 kspan=jj
      if(jj .gt. maxf) kspan=maxf
      jj=jj-kspan
      k=np(j)
      kk=jc*k+ii+jj
      k1=kk+kspan
      k2=0
  610 k2=k2+1
      at(k2)=a(k1)
      bt(k2)=b(k1)
      k1=k1-inc
      if(k1 .ne. kk) goto 610
  620 k1=kk+kspan
      k2=k1-jc*(k+np(k))
      k=-np(k)
  630 a(k1)=a(k2)
      b(k1)=b(k2)
      k1=k1-inc
      k2=k2-inc
      if(k1 .ne. kk) goto 630
      kk=k2
      if( k .ne. j) goto 620
      k1=kk+kspan
      k2=0
  640 k2=k2+1
      a(k1)=at(k2)
      b(k1)=bt(k2)
      k1=k1-inc
      if(k1 .ne. kk) goto 640
      if(jj .ne. 0) goto 600
      if(j .ne. 1) goto 590
  650 j=k3+1
      nt=nt-kspnn
      ii=nt-inc+1
      if(nt .ge. 0) goto 590
      return
  660 isn=0
      write(*,'(''error in fft'')')

      return
      end
c
c=======================================================================
c      
      subroutine lsvlan(n,first,m,restrt,xy,v0,v1,u,w,
     +                  alpha, beta,lr,li,k1,n1,nj,rr,ri,hh,kk,nry)
c
c-----------------------------------------------------------------------
c this subprogram is portable to other types of computer
c
c subroutine to carry out lanczos process for a symmetric real matrix
c
c input:   n      => the size of the matrix
c          first  => the first column to be computed on this call to the
c                    the subroutine (on initial call, first will be 1)
c          m      => the maximum number of columns of the process to be
c                    computed
c          restrt => a logical variable indicating whether we are
c                    restarting from a previous partial
c                    tridiagonalization or starting a new one.
c          xy     => a logical variable determining whether Xy
c                    or X(T)x should be calculated (pijnappel,
c                    ph.d. thesis p.31)
c          v1     => the first column of v, a real vector, not assumed
c                    to be of norm 1.
c          nj     => identical to n1, number of datapoints as used in
c                    hlsvd-analysis
c
c output:  alpha  => the diagonal of the tridiagonal matrix which is
c                    roughly similar to a.
c          beta   => the superdiagonal of the tridiagonal matrix
c                    alpha and beta are real vectors.
c
c process used: this subroutine implements a refined version of the
c               paige-style lanczos process.
c
c subroutines required:
c   savev,w21pls
c
c resources:
c   pijnappel wwf, ph.d.thesis 1991 p.29/30
c   van den boogaart a, thesis 1991
c   cullum and willoughby lanczos algorithms... 1985 p.46
c
c modifications by a. van den boogaart
c last update: 23-04-1991
c-----------------------------------------------------------------------
c
      integer*4 n,first,m,k1,n1,nj,kk,nry
      real*8    v0(*),v1(*),u(*),w(*),alpha(*),beta(*),
     +          lr(*),li(*),rr(*),ri(*)
      real*8    hh(nry,*)
      logical*4 restrt,xy

      integer*4 i,j,luout
      real*8    epslon,lbeta,ltemp
c     real*8    lalpha

      epslon = 2.0d0**(-52)
c
c epslon should be the smallest positive number for which 1.+epslon...
c it may be computed automatically by the following statements:
c     epslon=1.0
c  10 epslon=0.5*epslon
c     eplus=1.0+epslon
c     if (eplus.gt.1.0) goto 10
c     epslon=2.0*epslon
c for cdc 6000 series  epslon = 2.0**(-47) hp:epslon=2.0**(-23)
c
      if (restrt) go to 120
c
      luout=6

      write(luout,20) 1 !see also line 701
   20 format('  start iteration no.',t22,i4) !see also line 701
c
c-----------------------------------------------------------------------
c initialization
c-----------------------------------------------------------------------
c
c step 1:  normalize v1 to unit length
c
      ltemp=0.0d0
      do 30 i=1,n
         ltemp=ltemp+v1(i)*v1(i)
   30 continue
      if (ltemp.eq.1.0d0) go to 50
      ltemp = 1.0d0/dsqrt(ltemp)
      do 40 i=1,n
         v1(i) = v1(i)*ltemp
   40 continue
   50 kk=1

      call savev(v1,n1,k1,hh,nry,kk)
c
c compute u
c
      call w21pls(lr,li,v1,u,k1,n1,nj,rr,ri,xy)

c     lalpha=0.0d0
c     do 60 i=1,n
c        lalpha=lalpha+v1(i)*u(i)
c  60 continue
c     do 70 i=1,n
c        w(i) = u(i) - lalpha*v1(i)
c  70 continue
c
c cullum and willoughby p.46 (2.3.1-3)
c
c for use in an iterative lanczos process, since beta may be
c very small, we reorthogonalize w with respect to v1 in order
c to avoid loss of a lot of our orthogonality right off.
c
      ltemp=0.0d0
      do 80 i=1,n
         ltemp=ltemp+u(i)*v1(i)
   80 continue
      do 90 i=1,n
         u(i) = u(i) - ltemp*v1(i)
   90 continue
c
c now normalize w
c
      lbeta=0.0d0
      do 100 i=1,n
         lbeta=lbeta+u(i)*u(i)
  100 continue
      lbeta = dsqrt(lbeta)
      ltemp = 1.0d0/lbeta
      do 110 i=1,n
         v0(i) = v1(i)
         v1(i) = u(i)*ltemp
  110 continue
c
c cullum and willoughby p.46 (2.3.4-5)
c
      kk=kk+1

      call savev(v1,n1,k1,hh,nry,kk)
c
c compute initial alpha and beta.
c
c     alpha(1) = lalpha
      alpha(1) = 0.0d0
      beta(1) = lbeta
c
      j = 2
      xy=.not.xy
      go to 130
c
c-----------------------------------------------------------------------
c restarting
c-----------------------------------------------------------------------
c
c v1 and v0, alpha and beta have to be as they were at the end of
c the last call. lbeta is stored in beta(first-1)
c
  120 j = first
      lbeta = beta(j-1)
      kk=kk+1

      call savev(v1,n1,k1,hh,nry,kk)
c
c-----------------------------------------------------------------------
c now carry out lanczos process for j = 2, 3, 4, ..., m;
c-----------------------------------------------------------------------
c
c for j = 2 to m
c < compute succeeding columns of orthogonal matrix v >
c
  130 if (j .gt. m) go to 210

      write(*,20) j !26-08-1999
c
c compute previous alpha and direction of next vector
c
      ltemp=0.0d0
      do 140 i=1,n
         ltemp=ltemp+v1(i)*v1(i)
  140 continue
      if (ltemp .eq. 1.0d0) goto 160
      ltemp = 1.0d0/dsqrt(ltemp)
      do 150 i=1,n
         v1(i) = v1(i)*ltemp
  150 continue

  160 call w21pls(lr,li,v1,u,k1,n1,nj,rr,ri,xy)

c     lalpha=0.0d0
c     do 170 i=1,n
c        lalpha=lalpha+v1(i)*u(i)
c 170 continue
c     alpha(j) = lalpha
      alpha(j) = 0.0d0
c     do 180 i=1,n
c        w(i) = u(i) - lalpha*v1(i)-lbeta*v0(i)
c 180 continue
      do 180 i=1,n
         w(i) = u(i) - lbeta*v0(i)
  180 continue
c
c cullum and willoughby p.32 (2.1.1) & p.102 (4.3.1)
c
c normalize next vector
c
      lbeta=0.0d0
      do 190 i=1,n
         lbeta=lbeta+w(i)*w(i)
  190 continue
      lbeta =dsqrt(lbeta)
      if (lbeta .lt. epslon) lbeta = epslon
      ltemp = 1.0d0/lbeta
      beta(j) = lbeta
      do 200 i=1,n
         v0(i) = v1(i)
         v1(i) = w(i)*ltemp
  200 continue
      if (j .lt. m) then
         kk=kk+1

         call savev(v1,n1,k1,hh,nry,kk)

      endif
      j = j + 1
      xy=.not.xy
      go to 130
 
  210 return
      end
c
c=======================================================================
c      
      subroutine savev(v1,n1,k1,hh,nry,kk)
c
c-----------------------------------------------------------------------
c modifications by a. van den boogaart
c last update: 18-02-1991
c-----------------------------------------------------------------------
c
      integer*4 n1,k1,nry,kk
      real*8    v1(*)
      real*8    hh(nry,*)

      integer*4 i

      do 10 i=1,n1-k1+1
         hh(i,kk)=v1(k1+i)
         hh(n1-k1+1+i,kk)=v1(n1+k1+1+i)
   10 continue

      return
      end
c
c=======================================================================
c      
      subroutine w21pls(lr,li,v1,u,k1,n1,nj,rr,ri,xy)
c
c-----------------------------------------------------------------------
c subroutines required:
c   hmult
c
c modifications by a. van den boogaart
c last update: 13-03-1991
c-----------------------------------------------------------------------
c
      integer*4 k1,n1,nj
      real*8    lr(*),li(*),v1(*),u(*),rr(*),ri(*)
      logical*4 xy

      integer*4 i

      if (.not. xy) goto 40
      do 10 i=n1-k1+1,n1
         rr(nj-n1+i)=v1(2*n1+2-i)
         ri(nj-n1+i)=-v1(n1+1-i)
   10 continue

      call hmult(lr,li,rr,ri,nj,n1,k1)

      do 20 i=k1+1,n1+1
         u(i)=ri(nj-n1+i-k1)
         u(n1+1+i)=rr(nj-n1+i-k1)
   20 continue
      do 30 i=1,k1
         u(i)=0.0d0       
         u(n1+1+i)=0.0d0         
   30 continue
      goto 80
   40 continue
      do 50 i=k1+1,n1+1
         u(i)=0.0d0
         u(n1+1+i)=0.0d0
   50 continue
      do 60 i=k1,n1
         rr(nj-n1+i)=v1(k1+2*n1+2-i)
         ri(nj-n1+i)=v1(n1+k1+1-i)
   60 continue

      call hmult(lr,li,rr,ri,nj,n1,n1-k1+1)

      do 70 i=1,k1
         u(i)=-ri(nj-n1+i)
         u(n1+1+i)=rr(nj-n1+i)
   70 continue
   80 continue

      end
c
c=======================================================================
c      
      subroutine hmult(lr,li,rr,ri,nj,n1,k1)
c
c-----------------------------------------------------------------------
c subroutines required:
c   fftwp
c
c modifications by a. van den boogaart
c last update: 04-03-1991
c-----------------------------------------------------------------------
c
      integer*4 nj,n1,k1
      real*8    lr(*),li(*),rr(*),ri(*)

      integer*4 i,nn
      real*8    u,v

c hx, h is mxk m+k1-1=n1 datarow is (lr(i),li(i)),i=n1,1
c x=(rr(i),-ri(i)),i=n1,n1-k1+1

      nn=n1
      n1=nj
      do 10 i=1,n1-k1
         rr(i)=0.0d0
         ri(i)=0.0d0
   10 continue

      call fftwp(rr,ri,n1,n1,n1,1)

      do 20 i=1,n1
         u=rr(i)*lr(i)+ri(i)*li(i)
         v=-ri(i)*lr(i)+rr(i)*li(i)
         rr(i)=u
         ri(i)=v
   20 continue

      call fftwp(rr,ri,n1,n1,n1,1)

      n1=nn
      
      end
c
c=======================================================================
c      
      subroutine evscan(nik,n,ma,alpha,beta,nev,low,up,div,ndiv,
     +                  tk,tk1,ierr,eps)
c
c-----------------------------------------------------------------------
c this subprogram is portable to other types of computer
c
c subroutines required:
c   imtql1,mondis,scanmp,comint
c
c modifications by a. van den boogaart
c last update: 04-03-1991
c-----------------------------------------------------------------------
c
      integer*4 nik,n,ma,nev,ndiv,ierr
      real*8    eps
      real*8    alpha(*),beta(*)
      real*8    tk(ma,2),tk1(ma,2)
      logical*4 low,up,div

      integer*4 i,j,k,k1,m1
      real*8    epsold

      nev=0
      low = .false.
      up = .false.
      ndiv = 0
      do 10 i=2,nik
         j = nik - i + 1
         tk(j+1,2) = beta(j)
   10 continue
      do 20 i=1,nik
         tk(i,1) = alpha(i)
         tk1(i,1) = alpha(i)
         tk1(i,2) = tk(i,2)
   20 continue
      m1 = nik - 1

      call imtql1(m1,tk,tk(1,2),ierr)

      if (ierr.ne.0) return
      tk(nik,1) = 0.0d0

      call imtql1(nik,tk1,tk1(1,2),ierr)

      if (ierr.ne.0) return

      call mondis(tk,tk1,m1,eps)

      eps = dble(n)*dmax1(eps,2.0d0**(-52))
c
c if one wants a larger value of eps, this value should be inserted
c here
c
      do 30 i=1,m1
         tk(i,2) = tk(i,1)
         tk1(i,2) = tk1(i,1)
   30 continue
      tk1(nik,2) = tk1(nik,1)
      k = m1
      k1 = nik

      call scanmp(ma,k,k1,tk,tk1,eps)

   40 continue
      epsold = eps


      call comint(ma,tk,tk1,k,k1,eps,low,up,nev,div,ndiv)

c     write(*,*) tk(2,2)
c     write(*,*) !26-08-1999

      if (eps.gt.epsold) go to 40
      if (.not.low) div = .false.

      return
      end
c
c=======================================================================
c      
      subroutine imtql1(n,d,e,ierr)
c
c-----------------------------------------------------------------------
c this subroutine is a translation of the algol procedure imtql1,
c num. math. 12, 377-383(1968) by martin and wilkinson,
c as modified in num. math. 15, 450(1970) by dubrulle.
c handbook for auto. comp., vol.ii-linear algebra, 241-248(1971).
c
c this subroutine finds the eigenvalues of a symmetric
c tridiagonal matrix by the implicit ql method.
c
c on input-
c   n     is the order of the matrix,
c   d     contains the diagonal elements of the input matrix,
c   e     contains the subdiagonal elements of the input matrix
c         in its last n-1 positions.  e(1) is arbitrary.
c
c on output-
c   d     contains the eigenvalues in ascending order.  if an
c         error exit is made, the eigenvalues are correct and
c         ordered for indices 1,2,...ierr-1, but may not be
c         the smallest eigenvalues,
c   e     has been destroyed,
c   ierr  is set to-
c                  zero   for normal return,
c                  j      if the j-th eigenvalue has not been
c                         determined after 30 iterations.
c
c questions and comments should be directed to b. s. garbow,
c applied mathematics division, argonne national laboratory
c
c modifications by a. van den boogaart
c last update: 11-12-1990
c-----------------------------------------------------------------------
c
      integer*4 n,ierr
      real*8    d(n),e(n)

      integer*4 i,ii,j,l,m,mml
      real*8    b,c,f,g,machep,p,r,s
c
c machep is a machine dependent parameter specifying
c the relative precision of floating point arithmetic.
c
      machep = 2.0d0**(-50) 
 
      ierr = 0
      if (n.eq.1) go to 140
 
      do 10 i=2,n
         e(i-1) = e(i)
   10 continue
 
      e(n) = 0.0d0
 
      do 120 l=1,n
         j = 0
c
c look for small sub-diagonal element
c
   20    do 30 m=l,n
            if (m.eq.n) go to 40
            if (dabs(e(m)).le.machep*(dabs(d(m))+dabs(d(m+1)))) goto 40
   30    continue
 
   40    p = d(l)
         if (m.eq.l) go to 80
         if (j.eq.30) go to 130
         j = j + 1
c
c form shift
c
         g = (d(l+1)-p)/(2.0d0*e(l))
         r = dsqrt(g*g+1.0d0)
         g = d(m) - p + e(l)/(g+dsign(r,g))
         s = 1.0d0
         c = 1.0d0
         p = 0.0d0
         mml = m - l
c
c for i=m-1 step -1 until l do --
c
         do 70 ii=1,mml
            i = m - ii
            f = s*e(i)
            b = c*e(i)
            if (dabs(f).lt.dabs(g)) go to 50
            c = g/f
            r = dsqrt(c*c+1.0d0)
            e(i+1) = f*r
            s = 1.0d0/r
            c = c*s
            go to 60
   50       s = f/g
            r =dsqrt(s*s+1.0d0)
            e(i+1) = g*r
            c = 1.0d0/r
            s = s*c
   60       g = d(i+1) - p
            r = (d(i)-g)*s + 2.0*c*b
            p = s*r
            d(i+1) = g + p
            g = c*r - b
   70    continue
 
         d(l) = d(l) - p
         e(l) = g
         e(m) = 0.0d0
         go to 20
c
c order eigenvalues
c
   80    if (l.eq.1) go to 100
c
c for i=l step -1 until 2 do --
c
         do 90 ii=2,l
            i = l + 2 - ii
            if (p.ge.d(i-1)) go to 110
            d(i) = d(i-1)
   90    continue

  100    i = 1
  110    d(i) = p
  120 continue

      go to 140
c
c set error -- no convergence to an eigenvalue after 30 iterations
c
  130 ierr = l
  140 return
c
c last card of imtql1
c date      01/10/76
c end of deck
c
      end
c
c=======================================================================
c
      subroutine mondis(tk,tk1,k,eps)
c
c-----------------------------------------------------------------------
c modifications by a. van den boogaart
c last update: 11-12-1990
c-----------------------------------------------------------------------
c
      integer*4 k
      real*8    eps
      real*8    tk(k),tk1(*)

      integer*4 i
      real*8    ep,low,up,val
c
c disturbance of monotony of two successive rows of eigenvalues
c given in and tk1.
c tk1 has one eigenvalue more than tk (k+1 and k resp.).
c
      up = tk(1)
      val = tk1(1)
      eps = 0.0d0
      if (val.le.up) go to 10
      eps = dabs(val-up)/(abs(val)+1.0d0)
   10 continue
      do 30 i=2,k
         low = up
         val = tk1(i)
         up = tk(i)
         if (val.ge.low) go to 20
         ep =dabs(val-low)/(dabs(val)+1.0d0)
         if (ep.gt.eps) eps = ep
   20    if (val.le.up) go to 30
         ep =dabs(up-val)/(dabs(val)+1.0d0)
         if (ep.gt.eps) eps = ep
   30 continue
      val = tk1(k+1)
      if (val.ge.up) go to 40
      ep =dabs(val-up)/(dabs(val)+1.0d0)
      if (ep.gt.eps) eps = ep
   40 continue
c
c eps is the maximum of the relative distance in case of disturbance
c of the monotony criterium.
c
      return
      end
c
c=======================================================================
c
      subroutine scanmp(m,k,k1,tk,tk1,eps)
c
c-----------------------------------------------------------------------
c subroutines required:
c   mltplt
c
c modifications by a. van den boogaart
c last update: 11-12-1990
c-----------------------------------------------------------------------
c
      integer*4 m,k,k1
      real*8    eps
      real*8    tk(m,2),tk1(m,2)

      integer*4 kold,k1old
      real*8    epsold
c
c with the value of eps, two rows (each apart) are scanned for
c multiplet this may deliver a new value of eps and the process is 
c repeated as long as eps changes.
c this results in two multiplet-free rows.
c
c m is the number of rows in tk and tk1.
c k is the number of intervals in tk.
c k1 is the number of intervals in tk1.
c
   10 continue
      kold = k
      k1old = k1
      epsold = eps

      call mltplt(m,k,epsold,tk)

      call mltplt(m,k1,eps,tk1)

      eps = dmax1(epsold,eps)
      if ((k.ne.kold) .or. (k1.ne.k1old)) go to 10

      return
      end
c
c=======================================================================
c      
      subroutine mltplt(m,nint,eps,a)
c
c-----------------------------------------------------------------------
c this subprogram is portable to other types of computer
c
c modifications by a. van den boogaart
c last update: 11-12-1990
c-----------------------------------------------------------------------
c
      integer*4 m,nint
      real*8    eps
      real*8    a(m,2)

      integer*4 i,j
      real*8    epsm,epsmul
c
c the part a(nint,2) contains the multiplet-intervals.
c
      epsm = eps
      j = 1

      do 20 i=2,nint
         if (dabs(a(i,1)-a(j,2))/(1.0d0+dabs(a(i,1))).gt.eps) go to 10
         a(j,2) = a(i,2)
c
c the upperbound of the j-th multiplet is updated.
c
         epsmul = dabs(a(j,2)-a(j,1))/(1.0d0+dabs(a(j,1)))
         if (epsmul.gt.epsm) epsm = epsmul
         go to 20
   10    j = j + 1
         a(j,1) = a(i,1)
         a(j,2) = a(i,2)
   20 continue
      nint = j
      eps = epsm

      return
      end
c
c=======================================================================
c
      subroutine comint(m,tk,tk1,k,k1,eps,lower,upper,jdef,div,jdiv)
c
c-----------------------------------------------------------------------
c subroutines required:
c   epsspn
c
c modifications by a. van den boogaart
c last update: 11-12-1990
c-----------------------------------------------------------------------
c
      integer*4 m,k,k1,jdef,jdiv
      real*8    eps
      real*8    tk(m,2),tk1(m,2)
      logical*4 lower,upper,div

      integer*4 idis,j,j1
      real*8    e,eold,f,fold
      logical*4 disjct

c
c comparision of two rows of intervals given in tk and tk1.
c if an interval in one row is close to an interval in the other row,
c than the span of both intervals is recorded in tk.
c so the values of tk have been overwritten.
c
c lower is .true. : convergence at the lower end of the spectrum.
c up    is .true. : convergence at the upper end of the spectrum.
c div   is .true. : a hole in the spectrum is detected.
c jdef is the number of the computed eigenvalue intervals.
c jdiv gives the number of eigenvalue intervals at the lower end.
c
      div = .false.
      idis = 0
      lower = .false.
      upper = .false.
      fold = dmin1(tk1(1,1),tk(1,1))
      eold = (1.0d0-dsign(0.1d0,fold))*fold
      fold = eold
      j = 1
      j1 = 1
      jdef = 0
   10 continue

      call epsspn(tk(j,1),tk(j,2),tk1(j1,1),tk1(j1,2),eps,e,f,disjct)

      if (disjct) go to 50
      idis = 0
      if (j.eq.1 .or. j1.eq.1) lower = .true.
      if (j.eq.k .or. j1.eq.k1) upper = .true.
      if (f.le.fold) go to 20
      if (e.gt.eold) then
         jdef=jdef+1
      endif
      tk(jdef,1) = e
      eold = e
      tk(jdef,2) = f
      fold = f
   20 if (tk(j,2).le.tk1(j1,2)) go to 40
   30 continue
      j = j + 1
      if (j.le.k) go to 10
      j = j - 1
      j1 = j1 + 1
      if (j1.gt.k1) go to 80
   40 continue
      j1 = j1 + 1
      if (j1.le.k1) go to 10
      j1 = j1 - 1
      j = j + 1
      if (j.gt.k) go to 80
   50 continue
c
c if successively 6 disjunct intervals are met, a hole in the
c spectrum is supposed.
c
      idis = idis + 1
      if (.not. div .and. (idis.eq.6)) go to 60
      go to 70
   60 jdiv = jdef
      div = .true.
   70 if (tk1(j1,1).gt.tk(j,1)) go to 30
      go to 40
   80 continue

      if (.not.(lower .and. (.not.div))) return
      div = .true.
      jdiv = jdef

      return
      end
c
c=======================================================================
c      
      subroutine epsspn(a,b,c,d,eps,e,f,disjct)
c
c-----------------------------------------------------------------------
c modifications by a. van den boogaart
c last update: 11-12-1990
c-----------------------------------------------------------------------
c
      real*8    a,b,c,d,eps,e,f
      logical*4 disjct
 
      real*8    epss
c
c if two intervals [a,b] and [c,d] are relatively close with respect
c to eps, [e,f] gives the span of both, and disjct is set to .false.
c if they are not close, disjct is set to .true..
c
      disjct = .true.
      epss = 0.0d0
      if (a.le.c) go to 10
      if (d.ge.a) go to 20
      if (dabs(d-a)/(1.0d0+dabs(d)).le.eps) go to 20
      return
   10 if (c.le.b) go to 20
      if (dabs(c-b)/(1.0d0+dabs(c)).le.eps) go to 20
      return
   20 continue
      disjct = .false.
      e = dmin1(a,c)
      f = dmax1(b,d)
      epss =( f - e)/(1.0d0+dabs(e))
      if (epss.gt.eps) eps = epss

      return
      end
c
c=======================================================================
c      
      subroutine dgtsl(n,b,c,d,e,info)
c
c-----------------------------------------------------------------------
c modifications by a. van den boogaart
c last update: 11-12-1990
c-----------------------------------------------------------------------
c
      integer*4 n,info
      real*8    b(*),c(*),d(*),e(*)

      integer*4 k,kb,kp1,nm1,nm2
      real*8    t

      info =0
      c(1)=d(1)
      nm1=n-1
      if (nm1 .lt. 1) goto 40
      d(1)=e(1)
      e(1)=0.0d0
      e(n)=0.0d0
      do 30 k=1,nm1
         kp1=k+1
         if (dabs(c(kp1)) .lt. dabs(c(k))) goto 10
         t=c(kp1)
         c(kp1)=c(k)
         c(k)=t
         t=d(kp1)
         d(kp1)=d(k)
         d(k)=t
         t=e(kp1)
         e(kp1)=e(k)
         e(k)=t
         t=b(kp1)
         b(kp1)=b(k)
         b(k)=t
   10    continue
         if (c(k) .ne. 0.0d0) goto 20
         info=k
         goto 100
   20    continue
         t=-c(kp1)/c(k)
         c(kp1)=d(kp1)+t*d(k)
         d(kp1)=e(kp1)+t*e(k)
         e(kp1)=0.0d0
         b(kp1)=b(kp1)+t*b(k)
   30 continue
   40 continue
      if (c(n) .ne. 0.0d0) goto 50
      info=n
      goto 90
   50 continue
      nm2=n-2
      b(n)=b(n)/c(n)
      if (n .eq. 1) goto 80
      b(nm1)=(b(nm1)-d(nm1)*b(n))/c(nm1)
      if (nm2 .lt. 1 ) goto 70
      do 60 kb=1,nm2
         k=nm2 -kb +1
         b(k)=(b(k)-d(k)*b(k+1)-e(k)*b(k+2))/c(k)
   60 continue
   70 continue
   80 continue
   90 continue
  100 continue

      return
      end
c
c=======================================================================

      subroutine vanmon(ndpmax,ndp,kmax,kfit,root,zeta)
c     vanmon(.) calculates the ndp*kfit Vandermonde matrix zeta.
c
      implicit   none
      integer    i,j,kfit,kmax,ndp,ndpmax
      complex*16 one,root(*),rootj,temp,zeta(ndpmax,*)
c
      one = dcmplx(1.0d0,0.0d0)
c
c     First row of zeta:
c
      do 10   j = 1,kfit
   10 zeta(1,j) = one
c
c     Rest of zeta:
c
      do 20   j = 1,kfit
          rootj = root(j)
           temp = one
      do 20   i = 2,ndp
           temp = temp * rootj
   20 zeta(i,j) = temp
c
      return
      end
      
      subroutine check(ndp)

c-----------------------------------------------------------------------
c subroutine to check whether the entered number of datapoints is
c allowed by the mixed-radix fft used in the lanczos-algorithm
c a file containing all possible values for ndp is checked
c
c written by a. van den boogaart
c copyright university of technology delft
c last update: 11-12-1990
c-----------------------------------------------------------------------

      integer*4 ndp

      integer*4 i,ntest,ntest1,ntest2

      open (50,file='fftcheck.fil')
      do 10 i=1,176
         read(50,*) ntest1
         if (ntest1 .gt. ndp) then
            ntest=ntest2
            goto 20
         endif
         read(50,*) ntest2
         if (ntest2 .gt. ndp) then
            ntest=ntest1
            goto 20
         endif
   10 continue
   20 if (ntest .ne. ndp) then
         ndp=ntest
!rdb         write(*,30) ndp
!rdb   30    format(' ndp matching fft will be taken: ndp= ',i5)
      endif

      close(50)

      return
      end
            
      subroutine sortfreq(kfit,ampl,fase,damp,freq)
c
c     Sort sinusoid parameters according to increasing frequency
c
c     Last change: 01-09-1999     
c
      implicit none
c
      integer     k,kfit,kstop,ktop
      real*8      damp(*),freq(*),ampl(*),fase(*)
      real*8      damp1,damp2,freq1,freq2,ampl1,ampl2,fase1,fase2  
c
           ktop = kfit
   10     kstop = 0
      do 20   k = 1, ktop-1
          damp1 = damp(k)
          damp2 = damp(k+1)
          freq1 = freq(k)
          freq2 = freq(k+1)
          ampl1 = ampl(k)
          ampl2 = ampl(k+1)
          fase1 = fase(k)
          fase2 = fase(k+1)
      if (freq1.gt.freq2) then
        damp(k) = damp2
      damp(k+1) = damp1
        freq(k) = freq2
      freq(k+1) = freq1
        ampl(k) = ampl2
      ampl(k+1) = ampl1
        fase(k) = fase2
      fase(k+1) = fase1
          kstop = k
      end if
   20 continue
c
          ktop = kstop
      if (kstop.gt.1) go to 10    
c
c
      return
      end
      