/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package org.spectrim.imageprocessing;

/**
 * Container class which contains the statistics of an image volume
 * @author slotboom
 */
public class VolumeOfInterestStatistics
{
    /**
     * Default constructor
     */
    public VolumeOfInterestStatistics( )
    {
        m_volumeOfInterestName = "undefined";
        m_numberOfPixels = -1;
        m_voiAverageOfPixelValues = 0.0;
        m_voiStandardDeviationOfPixelValues = 0.0;
    }

    /**
     * Sets the name of the Volume of interes statistics object
     * @param name
     */
    public void setVolumeOfInterestName( String name )
    {
        m_volumeOfInterestName = name;
    }

    /**
     * Sets the name of the Volume of interes statistics object
     * @param name
     */
    public void setVolumeOfInterestVolume( double volume )
    {
        m_volumeOfInterestVolume = volume;
    }


    /**
     * Sets the average pixel value attribute
     * @param average
     */
    public void setVOIAverageOfPixelValues( double average )
    {
        m_voiAverageOfPixelValues = average;
    }

    /**
     * Sets st dev attribute
     * @param stdev
     */
    public void  setVOIStandardDeviationOfPixelValues( double stdev )
    {
        m_voiStandardDeviationOfPixelValues = stdev;
    }

    /**
     * Sets the number of pixels
     */
    public void setNumberOfPixels( int numberOfPixels )
    {
        m_numberOfPixels = numberOfPixels;
    }

    /**
     * Sets the number of pixels
     */
    public int getNumberOfPixels( )
    {
        return m_numberOfPixels;
    }


    /**
     * Sets the name of the Volume of interes statistics object
     * @param name
     */
    public String getVolumeOfInterestName( )
    {
        return m_volumeOfInterestName;
    }


    /**
     * Sets the name of the Volume of interes statistics object
     * @param name
     */
    public double getVolumeOfInterestVolume(  )
    {
        return m_volumeOfInterestVolume;
    }

    /**
     * Sets the average pixel value attribute
     * @param average
     */
    public double getVOIAverageOfPixelValues( )
    {
        return m_voiAverageOfPixelValues;
    }

    /**
     * Sets st dev attribute
     * @param stdev
     */
    public double  getVOIStandardDeviationOfPixelValues( )
    {
        return m_voiStandardDeviationOfPixelValues;
    }


    // Attributes
    private String m_volumeOfInterestName;
    private int    m_numberOfPixels;
    private double m_volumeOfInterestVolume;
    private double m_voiAverageOfPixelValues;
    private double m_voiStandardDeviationOfPixelValues;

}
