/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.report;

import java.awt.Color;
import org.spectrim.model.GlobalModel;
import org.spectrim.view.ImageViewerPanel;

/**
 *
 * @author Giezi adapted JSlotboom
 */
public class ReportOverviewPanel extends ImageViewerPanel
{

    public ReportOverviewPanel( ) 
    {
        super( );
        this.setBackground( Color.black );
    }
    
    public void displayOverview( boolean clearVoxelSelection, GlobalModel csimodelIn )
    {
        GlobalModel csimodel = new GlobalModel( csimodelIn );
        csimodel.setImageViewer( this );
        csimodel.clearColorMap( );
        csimodel.updateViewImagePanels( );
        this.autoWindowing( );
        this.setModel(new GlobalModel( csimodel  ));
        this.resetZoom( );
        if( clearVoxelSelection )
        {
            this.getModel( ).clearVoxelSelection( );
        }
        
        this.setMouseSelectionActive( false );
        this.repaint( );
        this.resetZoom( );
        csimodel.autoWindowing( );
    }
    
}
