/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.spectrim.view;

import java.awt.Container;
import java.awt.Dimension;
import java.awt.LayoutManager;
import javax.swing.JPanel;

/**
 *
 * @author user
 */
public class JSquarePanel extends javax.swing.JPanel  {
    private double HeightRate = 1d;

    public JSquarePanel(LayoutManager lm, boolean bln) {
        super(lm, bln);
    }

    public JSquarePanel(LayoutManager lm) {
        super(lm);
    }

    public JSquarePanel(boolean bln) {
        super(bln);
    }

    public JSquarePanel() {
        super();
        
    }
    
    public JSquarePanel(double HeightRate) {
        super();
        this.HeightRate = HeightRate;
    }

    @Override
    public Dimension getPreferredSize() {
        Dimension d = super.getPreferredSize();
        Container c = getParent();

        if (c != null) {
            d = c.getSize();
        } else {
            return d;
        }

        int w = (int) d.getWidth();
        int h = (int) d.getHeight();
        int s = (w < h ? w : h);

        return new Dimension(s, s);
    }
    
    @Override
    public Dimension getMinimumSize() {
//        Dimension d = super.getPreferredSize();
        Dimension d = super.getMinimumSize();
        Container c = getParent();
        
        if (c != null) {
            int aux = (int) c.getSize().getHeight();
            if (aux > d.getHeight()) {
                return new Dimension((int) Math.round(aux/HeightRate),(int) Math.round(aux/HeightRate));
            }
            d = c.getSize();
        } else {
            return d;
        }
        
        
        
        int w = (int) d.getWidth();
        int h = (int) d.getHeight();
        int s = (w < h ? w : h);
        
        return new Dimension(s, s);
    }
    
}
